Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-16738

ACP version checker can throw PHP Warnings - PHP 8

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Confirmed (View Workflow)
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 3.3.4, 3.3.5-RC1
    • Fix Version/s: None
    • Component/s: ACP
    • Labels:
      None
    • Environment:
      PHP 8.0.7
      MySql 8.0.23
      Apache 2.4.48

      Description

      To reproduce (since it could happen just occasionally).

      • Go to ACP - General tab or ACP - Customise tab
      • Turn OFF your internet connection
      • re-check your phpBB version or Re-check all extension versions

       

       
      The @ operator no more silences such errors since PHP 8

       

      if ($socket = @fsockopen(($port == 443 ? 'ssl://' : '') . $host, $port, $this->error_number, $this->error_string, $timeout))
      
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              3Di 3Di
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: